Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.util
Class TraversingItemVisitor.Default

`java.lang.Object
javax.jcr.util.TraversingItemVisitor
javax.jcr.util.TraversingItemVisitor.Default`

All Implemented Interfaces:
  ItemVisitor

Enclosing class:
  TraversingItemVisitor

      public static class TraversingItemVisitor.Default

extends TraversingItemVisitor

Convenience class providing default implementations of the abstract methods of `TraversingItemVisitor`.

Nested Class Summary

Nested classes/interfaces inherited from class javax.jcr.util.TraversingItemVisitor
`TraversingItemVisitor.Default`

Field Summary

Fields inherited from class javax.jcr.util.TraversingItemVisitor
`breadthFirst, maxLevel`

Constructor Summary
`TraversingItemVisitor.Default()`
`TraversingItemVisitor.Default(boolean breadthFirst)`
`TraversingItemVisitor.Default(boolean breadthFirst, int maxLevel)`

Method Summary
`protected void` `entering(Node node, int level)` Implement this method to add behaviour performed before a `Node` is visited.
`protected void` `entering(Property property, int level)` Implement this method to add behaviour performed before a `Property` is visited.
`protected void` `leaving(Node node, int level)` Implement this method to add behaviour performed after a `Node` is visited.
`protected void` `leaving(Property property, int level)` Implement this method to add behaviour performed after a `Property` is visited.

Methods inherited from class javax.jcr.util.TraversingItemVisitor
`visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraversingItemVisitor.Default

    public TraversingItemVisitor.Default()

  See Also:
    `TraversingItemVisitor.TraversingItemVisitor()`

### TraversingItemVisitor.Default

    public TraversingItemVisitor.Default(boolean breadthFirst)

  See Also:
    `TraversingItemVisitor.TraversingItemVisitor()`

### TraversingItemVisitor.Default

    public TraversingItemVisitor.Default(boolean breadthFirst,
                                         int maxLevel)

  See Also:
    `TraversingItemVisitor.TraversingItemVisitor(boolean, int)`

Method Detail

### entering

    protected void entering(Node node,
                            int level)
                     throws RepositoryException

  Description copied from class: `TraversingItemVisitor`
  Implement this method to add behaviour performed before a `Node` is visited.
  Specified by:
    `entering` in class `TraversingItemVisitor`
  Parameters:
    `node` - the `Node` that is accepting this visitor.
    `level` - hierarchy level of this node (the root node starts at level 0)
  Throws:
    `RepositoryException` - if an error occurrs
  See Also:
    `TraversingItemVisitor.entering(Node, int)`

### entering

    protected void entering(Property property,
                            int level)
                     throws RepositoryException

  Description copied from class: `TraversingItemVisitor`
  Implement this method to add behaviour performed before a `Property` is visited.
  Specified by:
    `entering` in class `TraversingItemVisitor`
  Parameters:
    `property` - the `Property` that is accepting this visitor.
    `level` - hierarchy level of this property (the root node starts at level 0)
  Throws:
    `RepositoryException` - if an error occurrs
  See Also:
    `TraversingItemVisitor.entering(Property, int)`

### leaving

    protected void leaving(Node node,
                           int level)
                    throws RepositoryException

  Description copied from class: `TraversingItemVisitor`
  Implement this method to add behaviour performed after a `Node` is visited.
  Specified by:
    `leaving` in class `TraversingItemVisitor`
  Parameters:
    `node` - the `Node` that is accepting this visitor.
    `level` - hierarchy level of this node (the root node starts at level 0)
  Throws:
    `RepositoryException` - if an error occurrs
  See Also:
    `TraversingItemVisitor.leaving(Node, int)`

### leaving

    protected void leaving(Property property,
                           int level)
                    throws RepositoryException

  Description copied from class: `TraversingItemVisitor`
  Implement this method to add behaviour performed after a `Property` is visited.
  Specified by:
    `leaving` in class `TraversingItemVisitor`
  Parameters:
    `property` - the `Property` that is accepting this visitor.
    `level` - hierarchy level of this property (the root node starts at level 0)
  Throws:
    `RepositoryException` - if an error occurrs
  See Also:
    `TraversingItemVisitor.leaving(Property, int)`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.